<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.protostar
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$app             = JFactory::getApplication();
$doc             = JFactory::getDocument();
$user            = JFactory::getUser();
$this->language  = $doc->language;
$this->direction = $doc->direction;

// Getting params from template
$params = $app->getTemplate(true)->params;

// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');
$sitename = $app->get('sitename');

if($task == "edit" || $layout == "form" )
{
	$fullWidth = 1;
}
else
{
	$fullWidth = 0;
}

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/template.js');

// Add Stylesheets
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap.css');


// Load optional RTL Bootstrap CSS
JHtml::_('bootstrap.loadCss', false, $this->direction);

// Logo file or site title param
if ($params->get('logoFile'))
{
	$logo = JUri::root() . $params->get('logoFile');
} else {
	switch($params->get('templateColor')) {
		case "blue": $logoName = "blue";break;
		case "orange": $logoName = "orange";break;
		case "red": $logoName = "red";break;
		default: $logoName = "green";break;
	}
	$logo = JUri::root() . 'templates/' . $this->template . '/images/logos/'.$logoName.'-logo.png';
}

if ($params->get('sitetitle'))
{
	$title = $params->get('sitetitle');
}
else
{
	$title = 'AdsClarity';
}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $this->title; ?> <?php echo htmlspecialchars($this->error->getMessage(), ENT_QUOTES, 'UTF-8'); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<?php if ($params->get('styleswitcher') == "1") { ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/styleswitcher.css'; ?>" type="text/css" />
	<?php } ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/bootstrap.css'; ?>" type="text/css">
	<?php  $font = $params->get('googleFontName');
		if ($font == "") { 
			$font = "Lato";
		}
		?>
    <link href='http://fonts.googleapis.com/css?family=<?php echo $font?>:300,400,700,900' rel='stylesheet' type='text/css'>
	<?php  $font2 = $params->get('googleFontName2');
		if ($font2 == "") { 
			$font2 = "Lato";
		}
		if ($font2 != $font) {
		?>
   		<link href='http://fonts.googleapis.com/css?family=<?php echo $font2?>:300,400,700,900' rel='stylesheet' type='text/css'>
	<?php } ?>
	<?php switch($params->get('templateColor')) {
			case "blue": $tfile = "blue.css";break;
			case "orange": $tfile = "orange.css";break;
			case "red": $tfile = "red.css";break;
			default: $tfile = "default.css";break;
	} ?>
	
    <link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/template.css'; ?>" type="text/css" />
	<style type="text/css">
		h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{
			font-family: '<?php echo str_replace('+', ' ', $font); ?>', sans-serif;
		}
		body, .juloawrapper {
			font-family: '<?php echo str_replace('+', ' ', $font2); ?>', sans-serif;
		}
		blockquote span.label {
			color: #000;
		}
	</style>
	<link id="style_color" rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/colors/'.$tfile; ?>" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/custom.css'; ?>" type="text/css" />
	<!--[if lt IE 9]>
		<script src="<?php echo JUri::root(true); ?>/media/jui/js/html5.js"></script>
		<script src="<?php echo JURI::base(). 'templates/' . $this->template ?>/js/respond.min.js"></script>
		<script src="<?php echo JURI::base(). 'templates/' . $this->template ?>/js/ie.js"></script>
	<![endif]-->
</head>

<body class="site <?php echo $option
	. ' view-' . $view
	. ($layout ? ' layout-' . $layout : ' no-layout')
	. ($task ? ' task-' . $task : ' no-task')
	. ($itemid ? ' itemid-' . $itemid : '');
?>">

	<!-- Body -->
	<div class="body">
		<div class="container">
			<!-- Header -->
			<header class="header" role="banner">
				<div class="header-inner clearfix">
					<a class="navbar-brand pull-left logo" href="<?php echo $this->baseurl; ?>/">
                        <div class="logoImage">
                            <img src="<?php echo $logo; ?>"  alt="<?php echo $title; ?>"/>
                        </div>
                        <div class="logoText">
                            <?php
                                if($title == "AdsClarity"){
                                    echo "Ads<strong>Clarity</strong>";
                                }else{
                                    echo $title;
                                }
                            ?>
                            <?php if ($params->get('sitedescription')) : ?>
                                <?php echo '<div class="site-description">' . htmlspecialchars($params->get('sitedescription')) . '</div>'; ?>
                            <?php endif; ?>
                        </div>                       
                    </a>
					<div class="header-search pull-right">
						<?php // Display position-0 modules ?>
						<?php echo $doc->getBuffer('modules', 'position-0', array('style' => 'none')); ?>
					</div>
				</div>
			</header>
			<div class="navigation">
				<?php // Display position-1 modules ?>
				<?php echo $doc->getBuffer('modules', 'position-1', array('style' => 'none')); ?>
			</div>
			<!-- Banner -->
			<div class="banner">
				<?php echo $doc->getBuffer('modules', 'banner', array('style' => 'xhtml')); ?>
			</div>
			<div class="row">
				<div id="content" class="col-md-12">
					<!-- Begin Content -->
					<h1 class="page-header"><?php echo JText::_('JERROR_LAYOUT_PAGE_NOT_FOUND'); ?></h1>
					<div class="well">
						<div class="row">
							<div class="col-md-6">
								<p><strong><?php echo JText::_('JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST'); ?></strong></p>
								<p><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></p>
								<ul>
									<li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
									<li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
									<li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
									<li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
								</ul>
							</div>
							<div class="col-md-6">
								<?php if (JModuleHelper::getModule('search')) : ?>
									<p><strong><?php echo JText::_('JERROR_LAYOUT_SEARCH'); ?></strong></p>
									<p><?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?></p>
									<?php echo $doc->getBuffer('module', 'search'); ?>
								<?php endif; ?>
								<p><?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?></p>
								<p><a href="<?php echo $this->baseurl; ?>/index.php" class="btn"><i class="icon-home"></i> <?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a></p>
							</div>
						</div>
						<hr />
						<p><?php echo JText::_('JERROR_LAYOUT_PLEASE_CONTACT_THE_SYSTEM_ADMINISTRATOR'); ?></p>
						<blockquote>
							<span class="label label-inverse"><?php echo $this->error->getCode(); ?></span> <?php echo htmlspecialchars($this->error->getMessage(), ENT_QUOTES, 'UTF-8');?>
						</blockquote>
					</div>
					<!-- End Content -->
				</div>
			</div>
		</div>
	</div>
	<!-- Footer -->
	<footer class="footer" role="contentinfo">
        <div class="footer-top">
            <div class="container">
                <div class="row">
				    <jdoc:include type="modules" name="footer" style="bt3" />
                </div>
            </div>
		</div>
        <div class="footer-bottom">
            <div class="container">
                <p class="pull-right">
                    <a href="#top" id="back-top">
                        <?php echo JText::_('TPL_ADSCLARITY_BACKTOTOP'); ?>
                    </a>
                </p>
                <p>
                    &copy; <?php echo date('Y'); ?> <?php echo $sitename; ?>
                </p>
            </div>
        </div>
	</footer>
	<?php echo $doc->getBuffer('modules', 'debug', array('style' => 'none')); ?>
</body>
</html>
