<?php
/**
 * @package     Joomla.Site
 * @subpackage  Template.system
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$app = JFactory::getApplication();
$params = $app->getTemplate(true)->params;

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');

require_once JPATH_ADMINISTRATOR . '/components/com_users/helpers/users.php';

$twofactormethods = UsersHelper::getTwoFactorMethods();

if ($params->get('logoFile'))
{
	$logo = JUri::root() . $params->get('logoFile');
} else {
	switch($params->get('templateColor')) {
		case "blue": $logoName = "blue";break;
		case "orange": $logoName = "orange";break;
		case "red": $logoName = "red";break;
		default: $logoName = "green";break;
	}
	$logo = JUri::root() . 'templates/' . $this->template . '/images/logos/'.$logoName.'-logo.png';
}

if ($params->get('sitetitle'))
{
	$title = $params->get('sitetitle');
}
else
{
	$title = 'AdsClarity';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<jdoc:include type="head" />
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/offline.css" type="text/css" />
	<?php if ($this->direction == 'rtl') : ?>
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/offline_rtl.css" type="text/css" />
	<?php endif; ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
	<?php if ($params->get('styleswitcher') == "1") { ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/styleswitcher.css'; ?>" type="text/css" />
	<?php } ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/bootstrap.css'; ?>" type="text/css">
	<?php  $font = $params->get('googleFontName');
		if ($font == "") { 
			$font = "Lato";
		}
		?>
    <link href='http://fonts.googleapis.com/css?family=<?php echo $font?>:300,400,700,900' rel='stylesheet' type='text/css'>
	<?php  $font2 = $params->get('googleFontName2');
		if ($font2 == "") { 
			$font2 = "Lato";
		}
		if ($font2 != $font) {
		?>
   		<link href='http://fonts.googleapis.com/css?family=<?php echo $font2?>:300,400,700,900' rel='stylesheet' type='text/css'>
	<?php } ?>
	<?php switch($params->get('templateColor')) {
			case "blue": $tfile = "blue.css";break;
			case "orange": $tfile = "orange.css";break;
			case "red": $tfile = "red.css";break;
			default: $tfile = "default.css";break;
	} ?>
	
    <link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/template.css'; ?>" type="text/css" />
	<style type="text/css">
		h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{
			font-family: '<?php echo str_replace('+', ' ', $font); ?>', sans-serif;
		}
		body, .juloawrapper {
			font-family: '<?php echo str_replace('+', ' ', $font2); ?>', sans-serif;
		}
		blockquote span.label {
			color: #000;
		}
		a.logo {
			margin-left: 28px;
		}
		html {
			background: inherit;
		}
	</style>
	<link id="style_color" rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/colors/'.$tfile; ?>" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/custom.css'; ?>" type="text/css" />
	<!--[if lt IE 9]>
		<script src="<?php echo JUri::root(true); ?>/media/jui/js/html5.js"></script>
		<script src="<?php echo JURI::base(). 'templates/' . $this->template ?>/js/respond.min.js"></script>
		<script src="<?php echo JURI::base(). 'templates/' . $this->template ?>/js/ie.js"></script>
	<![endif]-->
</head>
<body>
<jdoc:include type="message" />
	<div id="frame" class="outline">
		<?php if ($app->get('offline_image') && file_exists($app->get('offline_image'))) : ?>
			<img src="<?php echo $app->get('offline_image'); ?>" alt="<?php echo htmlspecialchars($app->get('sitename')); ?>" />
		<?php endif; ?>
		<a class="navbar-brand pull-left logo" href="<?php echo $this->baseurl; ?>/">
			<div class="logoImage">
				<img src="<?php echo $logo; ?>"  alt="<?php echo $title; ?>"/>
			</div>
			<div class="logoText">
				<?php
					if($title == "AdsClarity"){
						echo "Ads<strong>Clarity</strong>";
					}else{
						echo $title;
					}
				?>
				<?php if ($params->get('sitedescription')) : ?>
					<?php echo '<div class="site-description">' . htmlspecialchars($params->get('sitedescription')) . '</div>'; ?>
				<?php endif; ?>
			</div>                       
		</a>
		<div style="clear: both">&nbsp;</div>
	<?php if ($app->get('display_offline_message', 1) == 1 && str_replace(' ', '', $app->get('offline_message')) != '') : ?>
		<p>
			<?php echo $app->get('offline_message'); ?>
		</p>
	<?php elseif ($app->get('display_offline_message', 1) == 2 && str_replace(' ', '', JText::_('JOFFLINE_MESSAGE')) != '') : ?>
		<p>
			<?php echo JText::_('JOFFLINE_MESSAGE'); ?>
		</p>
	<?php endif; ?>
	<form action="<?php echo JRoute::_('index.php', true); ?>" method="post" id="form-login">
	<fieldset class="input">
		<p id="form-login-username">
			<label for="username"><?php echo JText::_('JGLOBAL_USERNAME'); ?></label>
			<input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('JGLOBAL_USERNAME'); ?>" size="18" />
		</p>
		<p id="form-login-password">
			<label for="passwd"><?php echo JText::_('JGLOBAL_PASSWORD'); ?></label>
			<input type="password" name="password" class="inputbox" size="18" alt="<?php echo JText::_('JGLOBAL_PASSWORD'); ?>" id="passwd" />
		</p>
		<?php if (count($twofactormethods) > 1) : ?>
			<p id="form-login-secretkey">
				<label for="secretkey"><?php echo JText::_('JGLOBAL_SECRETKEY'); ?></label>
				<input type="text" name="secretkey" class="inputbox" size="18" alt="<?php echo JText::_('JGLOBAL_SECRETKEY'); ?>" id="secretkey" />
			</p>
		<?php endif; ?>
		<p id="submit-buton">
			<label>&nbsp;</label>
			<input type="submit" name="Submit" class="btn btn-primary" value="<?php echo JText::_('JLOGIN'); ?>" />
		</p>
		<input type="hidden" name="option" value="com_users" />
		<input type="hidden" name="task" value="user.login" />
		<input type="hidden" name="return" value="<?php echo base64_encode(JUri::base()); ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</fieldset>
	</form>
	</div>
</body>
</html>